### Function

# EDataServer webdav_discover_sources_full

since: 3.30

#### Declaration [src]

    void
    e_webdav_discover_sources_full (
      ESource* source,
      const gchar* url_use_path,
      guint32 only_supports,
      const ENamedParameters* credentials,
      EWebDAVDiscoverRefSourceFunc ref_source_func,
      gpointer ref_source_func_user_data,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This is the same as e_webdav_discover_sources(), it only allows to provide a callback function (with its user_data), to reference an additional `ESource`. It’s good to avoid creating its own `ESourceRegistry` instance to get it.

When the operation is finished, `callback` will be called. You can then call `e_webdav_discover_sources_finish()` to get the result of the operation.

Available since: 3.30

#### Parameters

`source`

  Type: `ESource`

  An `ESource` from which to take connection details.

  The data is owned by the caller of the function.

`url_use_path`

  Type: `const gchar*`

  Optional URL override, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`only_supports`

  Type: `guint32`

  Bit-or of EWebDAVDiscoverSupports, to limit what type of sources to search.

`credentials`

  Type: `ENamedParameters`

  Credentials to use for authentication to the server.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`ref_source_func`

  Type: `EWebDAVDiscoverRefSourceFunc`

  Optional callback to use to get an ESource.

  The argument can be `NULL`.

`ref_source_func_user_data`

  Type: `gpointer`

  User data for `ref_source_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.